Bug 1876617 (CVE-2019-8769)

Summary: CVE-2019-8769 webkitgtk: Websites could reveal browsing history
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: erack, mcatanza, tpopela
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: webkitgtk 2.26.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-29 22:03:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1877119, 1877358    
Bug Blocks: 1876477    

Description Tomas Hoger 2020-09-07 17:47:21 UTC
WebKitGTK Security Advisory WSA-2019-0005 describes the following issue:

CVE-2019-8769

Impact: Visiting a maliciously crafted website may reveal browsing history. Description: An issue existed in the drawing of web page elements. The issue was addressed with improved logic.

Versions affected: WebKitGTK before 2.26.0 and WPE WebKit before 2.26.0.

Comment 1 Tomas Hoger 2020-09-07 17:47:25 UTC
External References:

https://webkitgtk.org/security/WSA-2019-0005.html

Comment 3 errata-xmlrpc 2020-09-29 20:48:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4035 https://access.redhat.com/errata/RHSA-2020:4035

Comment 4 Product Security DevOps Team 2020-09-29 22:03:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-8769

Comment 5 errata-xmlrpc 2020-11-04 01:05:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451